Language

Package: hyperledger-iroha @ 1.1.1

Synopsis

Simple, decentralized ledger

Description

Iroha is a distributed ledger technology (DLT). Iroha has essential functionality for your asset, information and identity management needs, at the same time being a crash fault-tolerant tool.

Iroha has the following features:

  • Creation and management of custom fungible assets, such as currencies, kilos of gold, etc.

  • Management of user accounts

  • Taxonomy of accounts based on domains in the system

  • The system of rights and verification of user permissions for the execution of transactions and queries in the system

  • Validation of business rules for transactions and queries in the system

  • Multisignature transactions

Home page
https://github.com/hyperledger/iroha
Location
gnu/packages/hyperledger.scm (line: 150, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/bshjj06ciwzgrrq50k1jwdyx3ppfs0n4-hyperledger-iroha-1.1.1.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/89hvsivjlz04aw5kax7r8fanxvv61ijh-hyperledger-iroha-1.1.1.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/lb95i1cd45s2ajw2xmym4j3rbgrbh2ki-hyperledger-iroha-1.1.1.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/f00ik8a8bl9141n188any07y64ixc0zj-hyperledger-iroha-1.1.1.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/n8jy8qcqqql2xj8s9xibpr40r8s86nij-hyperledger-iroha-1.1.1.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/7kiykb94zcvlyf8150v0iijqdl0lq2y1-hyperledger-iroha-1.1.1.drv
x86_64-linuxi686-w64-mingw32/gnu/store/nh1qhq0j1fc13zi2hxdhajrai5zfib9v-hyperledger-iroha-1.1.1.drv
x86_64-linuxi586-pc-gnu/gnu/store/hxbk7dnpcnjyfv66s7mh87q65vgl9kw4-hyperledger-iroha-1.1.1.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/2h2lv1w267xq6hdhhm6dzs2qmh4p63s3-hyperledger-iroha-1.1.1.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/b2w9kvx7rbnpp9vsqqsp1ackksnd2np6-hyperledger-iroha-1.1.1.drv
riscv64-linux/gnu/store/ndmcc4q5vy82500fc2a9slf427wkc6d2-hyperledger-iroha-1.1.1.drv
    powerpc-linux/gnu/store/51psd0v86hps1irpiangymfa9shaqy3s-hyperledger-iroha-1.1.1.drv
      powerpc64le-linux/gnu/store/g60zf3bswkw7aqabhh54cdzhdmk8lgry-hyperledger-iroha-1.1.1.drv
      mips64el-linux/gnu/store/nshxp0lffnqxcwfdbvwpz3pz4y766k7z-hyperledger-iroha-1.1.1.drv
        i686-linux/gnu/store/8qra061g851hjkfkagwsxw9j161js3j9-hyperledger-iroha-1.1.1.drv
        i586-gnu/gnu/store/9zb8j5xdjmcb5d3ni85z5l0q2a5ivsh2-hyperledger-iroha-1.1.1.drv
        armhf-linux/gnu/store/if6sfpzhsz78bhjdaz5knv2hd4b03zr5-hyperledger-iroha-1.1.1.drv
        aarch64-linux/gnu/store/2nsyk0sbqq6bfki3kidf0x66yj1w1rlw-hyperledger-iroha-1.1.1.drv

        Lint warnings

        LinterMessageLocation
        formatting

        Look for formatting issues in the source

        line 166 is way too long (105 characters)
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fb2d2987dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f3e6bc77dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f62abeb7dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fa23c1dddc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f0f10522dc0> input: ("_" "static")>